*==============================================================================
* Program:				CORRELATEDDELETE.PRG
* Purpose:				Delete expired contact items. Uses correlated delete.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		Contacts database open
* Environment out:		Expired contact items deleted
*==============================================================================

DELETE ContactItem ;
  FROM ContactItem ;
	JOIN (SELECT iItemFK, MAX(dEnds) AS dLastDate ;
			FROM PersonToItem ;
			WHERE iItemFK NOT IN ( ;
				SELECT iItemFK ;
					FROM PersonToItem ;
					WHERE EMPTY(dEnds)) ;
			GROUP BY iItemFK ;
			HAVING dLastDate < DATE() ) ;
		AS ExpDates ;
	  ON ContactItem.iID = ExpDates.iItemFK
	  
SELECT ContactItem
BROWSE WINDOW ResultWin FOR DELETED()
RECALL ALL 
	  
	  

