*==============================================================================
* Program:				CREATEWAREHOUSE.PRG
* Purpose:				Creates a data warehouse to hold sales quantity and 
*                       total amount for each product for a single month.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor SalesByProduct created and populated
*==============================================================================

SELECT Products.Product_ID, ;
       NVL(SUM(Quantity*Order_Line_Items.Unit_Price), $0) AS TotalSales, ;
       CAST(NVL(SUM(Quantity),0) AS N(12)) AS UnitsSold ;
	FROM Orders ;
	  JOIN Order_Line_Items ;
	    ON Order_Line_Items.Order_ID = Orders.Order_ID ;
		AND  MONTH(Order_Date) = 1 AND YEAR(Order_Date) = 1994 ;
	  RIGHT JOIN Products ;
	    ON Products.Product_ID = Order_Line_Items.Product_ID ;
	GROUP BY 1 ;
	INTO CURSOR SalesByProduct READWRITE 