*==============================================================================
* Program:				CUSTOMERTOTAL.PRG
* Purpose:				Compute the total orders for each customer,
*                      	using a subquery in the field list.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor CustomerTotal populated
*==============================================================================

nYear = 1994

SELECT Customer.Customer_ID, Customer.Company_Name, ;
       Customer.Address, Customer.City, Customer.Region, ;
       Customer.Postal_Code, Customer.Phone, Customer.Fax, ;
       (SELECT SUM(Quantity*Unit_Price) ;
          FROM Orders ;
            JOIN Order_Line_Items;
              ON Orders.Order_ID = Order_Line_Items.Order_ID ;
          WHERE BETWEEN(Order_Date,DATE(m.nYear,1,1),DATE(m.nYear,12,31)) ;
          	  AND Customer.Customer_ID=Orders.Customer_ID ) as yTotal ;
  FROM Customer ;
INTO CURSOR CustomerTotal

BROWSE WINDOW ResultWin