*==============================================================================
* Program:				CUSTOMERTOTALGROUPED.PRG
* Purpose:				Compute the total orders for a customer, using
*                       grouping to gather other customer info
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor CustomerTotal populated
*==============================================================================

m.nYear = 1994

SELECT Customer.Customer_ID, Customer.Company_Name, ;
       Customer.Address, Customer.City, Customer.Region, ;
       Customer.Postal_Code, Customer.Phone, Customer.Fax, ;
       SUM(Quantity*Unit_Price) AS yTotal ;     
FROM Customer ;
	LEFT JOIN Orders ;
       JOIN Order_Line_Items;
         ON Orders.Order_ID = Order_Line_Items.Order_ID ;
       ON Customer.Customer_ID = Orders.Customer_ID ;
       AND BETWEEN(Order_Date,DATE(m.nYear,1,1),DATE(m.nYear,12,31)) ; 
    GROUP BY 1, 2, 3, 4, 5, 6, 7, 8;
INTO CURSOR CustomerTotal

BROWSE WINDOW ResultWin