*==============================================================================
* Program:				MOSTRECENTSUBQUERY.PRG
* Purpose:				A query involving an ugly subquery to extract
*                       details of the most recent order for each customer.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor MostRecentOrders populated
*==============================================================================

SELECT Orders.Order_ID, Customer.Company_Name as Cust_Name, ;
       Shippers.Company_Name AS Ship_Name, Orders.Order_Date ;
	from Orders ;
	  JOIN Customer ;
	    ON Orders.Customer_ID = Customer.Customer_ID ;
	  JOIN Shippers ;
	    ON Orders.Shipper_ID = shippers.Shipper_ID ;
	WHERE Orders.Customer_ID + DTOS(Orders.Order_Date) in ;
		(SELECT Customer_ID + DTOS(MAX(Order_Date)) ;
	  	 FROM Orders GROUP BY Customer_ID );
	ORDER BY Cust_Name ;
	INTO CURSOR MostRecentOrders