*==============================================================================
* Program:				MOSTRECENTTWOQUERIES.PRG
* Purpose:				Use two queries in sequence to get details
*                       about the most recent order for each customer
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor MostRecentOrders populated
*==============================================================================

SELECT Customer_ID, MAX(Order_Date) as Order_Date ;
	FROM Orders ;
	GROUP BY 1 ;
	INTO CURSOR RecentOrder
	
SELECT Orders.Order_ID, Customer.Company_Name AS Cust_Name, ;
       Shippers.Company_Name AS Ship_Name, Orders.Order_Date ;
	FROM Orders ;
	  JOIN RecentOrder ;
	  	ON Orders.Customer_ID = RecentOrder.Customer_ID ;
	  	AND Orders.Order_Date = RecentOrder.Order_Date ;
	  JOIN Customer ;
	    ON Orders.Customer_ID = Customer.Customer_ID ;
	  JOIN Shippers ;
	    ON Orders.Shipper_ID = shippers.Shipper_ID ;
	ORDER BY Cust_Name ;
	INTO CURSOR MostRecentOrders
	
BROWSE WINDOW ResultWin