*==============================================================================
* Program:				PRODUCTFIRSTNOTLAST.PRG
* Purpose:				Find products included in customer's first order
*                       but not their most recent.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		05/17/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor FirstNotLast created
*==============================================================================

SELECT Customer.Company_Name, Product_ID ;
	from Order_Line_Items ;
	  JOIN Orders ;
	    ON Order_Line_Items.Order_ID = Orders.Order_ID ;
	  JOIN Customer ;
	    ON Orders.Customer_ID = Customer.Customer_ID ;
	  WHERE Orders.Order_Date = ;
        (SELECT MIN(Order_Date) ;
          FROM Orders Ord WHERE Orders.Customer_ID=Ord.Customer_ID );
        AND Product_ID NOT IN  ;
			(SELECT Product_ID ;
			  FROM Order_Line_Items OLILast;
			    JOIN Orders OrdLast;
			      ON OLILast.Order_ID = OrdLast.Order_ID ;
			    JOIN Customer CustLast;
			      ON OrdLast.Customer_ID = CustLast.Customer_ID ;
			  WHERE OrdLast.Order_Date = ;
			    (SELECT MAX(Order_Date) ;
			       FROM Orders Ord WHERE OrdLast.Customer_ID=Ord.Customer_ID ) );
  INTO CURSOR FirstNotLast

BROWSE WINDOW ResultWin