*==============================================================================
* Program:				SELECTCONTACTS.PRG
* Purpose:				Get preferred personal contact information
*                       			for each person.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:			04/27/04
* Parameters:			None
* Returns:				Nothing
* Environment in:		Contacts database open
* Environment out:		Cursor PersonalContacts contains information
*==============================================================================

SELECT cFirst, cMiddle, cLast, ;
       Address.mItem AS Address, Phone.mItem AS Phone, ;
       Email.mItem AS Email, Web.mItem AS URL ;
	FROM Person ;
		LEFT JOIN PersonToItem PhoneLink ;
			JOIN ContactItem Phone ;
				JOIN ItemType PhoneType ;
				  ON Phone.iTypeFK = PhoneType.iID ;
				  AND PhoneType.cType="Voice" ;
			  ON PhoneLink.iItemFK = Phone.iID ;
   		      AND PhoneLink.lPreferred ;
			JOIN Location PhoneLoc ;
			  ON PhoneLink.iLocFK = PhoneLoc.iID ;
			  AND PhoneLoc.cLocation = "Personal" ;
		  ON Person.iID = PhoneLink.iPersonFK ;
		LEFT JOIN PersonToItem AddrLink ;
			JOIN ContactItem Address ;
				JOIN ItemType AddrType ;
				  ON Address.iTypeFK = AddrType.iID ;
				  AND AddrType.cType = "Address" ;
			  ON AddrLink.iItemFK = Address.iID ;
 		  	  AND AddrLink.lPreferred ;
			JOIN Location AddrLoc ;
			  ON AddrLink.iLocFK = AddrLoc.iID ;
			  AND AddrLoc.cLocation = "Personal" ;
		  	ON Person.iID = AddrLink.iPersonFK ;
		LEFT JOIN PersonToItem EmailItem;
			JOIN ContactItem Email ;
				JOIN ItemType EmailType ;
				  ON Email.iTypeFK = EmailType.iID ;
				  AND EmailType.cType="Email" ;
				ON EmailItem.iItemFK = Email.iID ;
			    AND EmailItem.lPreferred ;
			JOIN Location EmailLoc;
				ON EmailLoc.iID = EmailItem.iLocFK ;
				AND EmailLoc.cLocation="Personal" ;
			ON Person.iID = EmailItem.iPersonFK ;
		LEFT JOIN PersonToItem WebItem;
			JOIN ContactItem Web ;
				JOIN ItemType WebType ;
				  ON Web.iTypeFK = WebType.iID ;
				  AND WebType.cType="URL" ;
				ON WebItem.iItemFK = Web.iID ;
			    AND WebItem.lPreferred ;
			JOIN Location WebLoc;
				ON WebLoc.iID = WebItem.iLocFK ;
				AND WebLoc.cLocation="Personal" ;
			ON Person.iID = WebItem.iPersonFK ;
	INTO CURSOR PersonalContacts

BROWSE WINDOW ResultWin