*==============================================================================
* Program:				SUBQUERYINSET.PRG
* Purpose:				Use a subquery in the SET clause of an UPDATE command
*                       to update the data warehouse.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open, 
*                       data warehouse SalesByProduct created
*                       variables nMonth and nYear populated
* Environment out:		Data warehouse SalesByProduct updated with data 
*                       from specified month
*==============================================================================

*******
* Make sure to create and populate nMonth and nYear in advance
 nMonth = 2
 nYear = 1994
*******

UPDATE SalesByProduct ;
	SET TotalSales = (;
		SELECT NVL(SUM(Quantity*Unit_Price),$0) ;
			FROM Order_Line_Items ;
			  JOIN Orders ;
			    ON Order_Line_Items.Order_ID = Orders.Order_ID ;
			WHERE MONTH(Order_Date) = nMonth AND YEAR(Order_Date) = nYear;
			  AND Order_Line_Items.Product_ID = SalesByProduct.Product_ID) 
		
UPDATE SalesByProduct ;
	SET UnitsSold = (;
		SELECT CAST(NVL(SUM(Quantity),0) AS N(12)) ;
			FROM Order_Line_Items ;
			  JOIN Orders ;
			    ON Order_Line_Items.Order_ID = Orders.Order_ID ;
			WHERE MONTH(Order_Date) = nMonth AND YEAR(Order_Date) = nYear;
			  AND Order_Line_Items.Product_ID = SalesByProduct.Product_ID) 

SELECT SalesByProduct
BROWSE WINDOW ResultWin