*==============================================================================
* Program:				SuspiciousOrders.PRG
* Purpose:				Find information about "suspicious" orders,
*                       those sent to an address other than the customer'
*                       corporate address and totalling more than $4000
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		6/24/2004
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open,
* Environment out:		Cursor Suspicious created and populated with 
*                       data about suspicious orders.
*==============================================================================

SELECT Company_Name, Ord.Order_ID, Ord.Order_Date ;
 FROM Customer ; 
   JOIN Orders Ord;
     ON Customer.Customer_ID = Ord.Customer_ID ;
  WHERE Ord.Order_ID in (;
    SELECT Orders.Order_ID;
    FROM Orders ;
      JOIN Order_Line_Items ;
        ON Orders.Order_ID=Order_Line_Items.Order_ID ;    
        AND Orders.Customer_ID=Customer.Customer_ID ;
        AND Orders.Ship_to_Address <> Customer.Address ;
    GROUP BY Orders.Order_ID ;
    HAVING SUM(Quantity*Unit_Price)> 4000 ) ;
  INTO CURSOR Suspicions

BROWSE WINDOW ResultWin