*==============================================================================
* Program:				SUSPICIOUSTWOQUERIES.PRG
* Purpose:				Find customers placing big orders shipped somewhere 
*                       other than their home address. Two queries version.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor Suspicions populated
*==============================================================================

SELECT Orders.Customer_ID, Orders.Ship_to_Address, ;
       Orders.Order_ID, Orders.Order_Date ;
  FROM Orders ;
  	  JOIN Order_line_items ;
        ON Orders.Order_ID=Order_Line_Items.Order_ID ;	  
  GROUP BY 1, 2, 3, 4 ;
  HAVING SUM(Quantity*Unit_Price)> 4000 ;
  INTO CURSOR BigOrders

SELECT Company_Name, Order_ID, Order_Date ;
	FROM Customer ;
	  JOIN BigOrders ;
	    ON Customer.Customer_ID = BigOrders.Customer_ID ;
	WHERE BigOrders.Ship_to_Address <> Customer.Address ;
	INTO CURSOR Suspicions
