*==============================================================================
* Program:				CORRELATEDUPDATESUBQUERY.PRG
* Purpose:				Update the data warehouse using a correlated update
*                       with a subquery
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open,
*                       data warehouse SalesByProduct created,
*                       variables nMonth and nYear populated
* Environment out:		Data warehouse SalesByProduct updated
*==============================================================================

*******
* Make sure to create and populate nMonth and nYear in advance
 nMonth=3
 nYear=1994
*******

UPDATE SalesByProduct ;
	SET SalesByProduct.TotalSales = NVL(MonthlySales.TotalSales, $0), ;
		SalesByProduct.UnitsSold = NVL(MonthlySales.UnitsSold, 0) ;
	FROM SalesByProduct ;
	  LEFT JOIN (SELECT Order_Line_Items.Product_ID, ;
	       SUM(Quantity*Order_Line_Items.Unit_Price) AS TotalSales, ;
	       SUM(Quantity) AS UnitsSold ;
		FROM Order_Line_Items ;
		  JOIN Orders ;
		    ON Order_Line_Items.Order_ID = Orders.Order_ID ;
		    AND (MONTH(Order_Date) = nMonth AND YEAR(Order_Date) = nYear) ;
		GROUP BY 1);
	AS MonthlySales ;
	ON SalesByProduct.Product_ID = MonthlySales.Product_ID
	
SELECT SalesByProduct
BROWSE WINDOW ResultWin	
	